#pragma once
#include "3dobject.h"

#include <d3dx9.h>

#include "Direct3D.h"
#include "3DObject.h"
#include "Camera.h"
#include "Cube.h"

class CExplosion : public C3DObject
{
	D3DXVECTOR3 position;
	int  frame;
	long lastFrame;
	int  isFinished;

	CDirect3D *d3d;
	LPDIRECT3DTEXTURE9 g_pExplode; 

public:
	CExplosion(CDirect3D *d3d);
	
	virtual void  Render() override;
	void MoveFrame();
	int  IsFinished();
	void Explode(float x, float y, float z, float size);
public:
	~CExplosion(void);
};
